Permalink
Browse files

Configure to test different ruby / rails combinations

on Travis
  • Loading branch information...
1 parent 1642d6f commit 563939327abb40c96effcdbb44177cbf14b952e7 @dabit dabit committed Mar 5, 2013
Showing with 23 additions and 1 deletion.
  1. +4 −0 .travis.yml
  2. +6 −0 Gemfile.rails.3.1
  3. +6 −0 Gemfile.rails.3.2
  4. +6 −0 Gemfile.rails.4.0
  5. +1 −1 acts_as_shopping_cart.gemspec
View
4 .travis.yml
@@ -1,3 +1,7 @@
rvm:
- 1.9.3
- 2.0.0
+gemfile:
+ - Gemfile.rails.3.1
+ - Gemfile.rails.3.2
+ - Gemfile.rails.4.0
View
6 Gemfile.rails.3.1
@@ -0,0 +1,6 @@
+source "http://rubygems.org"
+
+# Specify your gem's dependencies in acts_as_shopping_cart.gemspec
+gemspec
+
+gem 'activerecord', '~> 3.1.0'
View
6 Gemfile.rails.3.2
@@ -0,0 +1,6 @@
+source "http://rubygems.org"
+
+# Specify your gem's dependencies in acts_as_shopping_cart.gemspec
+gemspec
+
+gem 'activerecord', '~> 3.2.0'
View
6 Gemfile.rails.4.0
@@ -0,0 +1,6 @@
+source "http://rubygems.org"
+
+# Specify your gem's dependencies in acts_as_shopping_cart.gemspec
+gemspec
+
+gem 'activerecord', '4.0.0.beta1'
View
2 acts_as_shopping_cart.gemspec
@@ -18,7 +18,7 @@ Gem::Specification.new do |s|
s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
s.require_paths = ["lib"]
- s.add_dependency 'activerecord', '~> 3.0'
+ s.add_dependency 'activerecord', '> 3'
s.add_development_dependency "cucumber", "~> 1.2.1"
s.add_development_dependency "database_cleaner"
s.add_development_dependency "rspec", "~> 2.12.0"

0 comments on commit 5639393

Please sign in to comment.